- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libcdr::CDRInsertTextOutputElement Class Reference
Inheritance diagram for libcdr::CDRInsertTextOutputElement:

## Public Member Functions
| CDRInsertTextOutputElement (const WPXString &text)
virtual | ~CDRInsertTextOutputElement ()
virtual void | draw (libwpg::WPGPaintInterface *painter)
virtual CDROutputElement * | clone ()
Public Member Functions inherited from libcdr::CDROutputElement
| CDROutputElement ()
virtual | ~CDROutputElement ()

## Private Attributes
WPXString | m_text

## Constructor & Destructor Documentation

libcdr::CDRInsertTextOutputElement::CDRInsertTextOutputElement | ( | const WPXString & | text | ) |

Referenced by clone().

virtual libcdr::CDRInsertTextOutputElement::~CDRInsertTextOutputElement | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual CDROutputElement* libcdr::CDRInsertTextOutputElement::clone | ( |  | ) |
| inline virtual

Implements libcdr::CDROutputElement.

void libcdr::CDRInsertTextOutputElement::draw | ( | libwpg::WPGPaintInterface * | painter | ) |
| virtual

Implements libcdr::CDROutputElement.

## Member Data Documentation

WPXString libcdr::CDRInsertTextOutputElement::m_text
| private

Referenced by clone().

The documentation for this class was generated from the following file:

- CDROutputElementList.cpp